Package org.eclipse.viatra.addon.querybasedfeatures.runtime

## Class DerivedFeatureAdapter.DerivedFeatureEMFVisitor

- java.lang.Object
- - org.eclipse.viatra.query.runtime.base.comprehension.EMFVisitor
  - - org.eclipse.viatra.addon.querybasedfeatures.runtime.DerivedFeatureAdapter.DerivedFeatureEMFVisitor

- Enclosing class:
    DerivedFeatureAdapter

      protected class DerivedFeatureAdapter.DerivedFeatureEMFVisitor
      extends EMFVisitor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DerivedFeatureEMFVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `pruneSubtrees​(org.eclipse.emf.ecore.EObject source)` | Returns true if the contents of an object should be pruned (and not explored by the visitor)
    `void` | `visitAttribute​(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EAttribute feature, java.lang.Object target)` |
    `void` | `visitElement​(org.eclipse.emf.ecore.EObject source)` |
    `void` | `visitInternalContainment​(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EReference feature, org.eclipse.emf.ecore.EObject target)` |
    `void` | `visitNonContainmentReference​(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EReference feature, org.eclipse.emf.ecore.EObject target)` |

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.base.comprehension.EMFVisitor

      `attemptProxyResolutions, avoidTransientContainmentLink, descendAlongCrossResourceContainments, preOrder, pruneFeature, pruneSubtrees, visitProxyReference, visitResource, visitTopElementInResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DerivedFeatureEMFVisitor

          public DerivedFeatureEMFVisitor()

  - ### Method Detail

    - #### visitAttribute

          public void visitAttribute​(org.eclipse.emf.ecore.EObject source,
                                     org.eclipse.emf.ecore.EAttribute feature,
                                     java.lang.Object target)

      Overrides:
        `visitAttribute` in class `EMFVisitor`

    - #### visitElement

          public void visitElement​(org.eclipse.emf.ecore.EObject source)

      Overrides:
        `visitElement` in class `EMFVisitor`

    - #### visitNonContainmentReference

          public void visitNonContainmentReference​(org.eclipse.emf.ecore.EObject source,
                                                   org.eclipse.emf.ecore.EReference feature,
                                                   org.eclipse.emf.ecore.EObject target)

      Overrides:
        `visitNonContainmentReference` in class `EMFVisitor`

    - #### visitInternalContainment

          public void visitInternalContainment​(org.eclipse.emf.ecore.EObject source,
                                               org.eclipse.emf.ecore.EReference feature,
                                               org.eclipse.emf.ecore.EObject target)

      Overrides:
        `visitInternalContainment` in class `EMFVisitor`

    - #### pruneSubtrees

          public boolean pruneSubtrees​(org.eclipse.emf.ecore.EObject source)

      Description copied from class: `EMFVisitor`
      Returns true if the contents of an object should be pruned (and not explored by the visitor)
      Overrides:
        `pruneSubtrees` in class `EMFVisitor`